classification
Title: Warning -- asyncore.socket_map was modified by test_ftplib on AMD64 FreeBSD 10.x Shared 3.x
Type: Stage: resolved
Components: Tests Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: vstinner
Priority: normal Keywords:

Created on 2017-06-30 15:04 by vstinner, last changed 2017-07-03 14:07 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2514 merged vstinner, 2017-06-30 15:20
Messages (3)
msg297415 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-30 15:04
http://buildbot.python.org/all/builders/AMD64%20FreeBSD%2010.x%20Shared%203.x/builds/524/steps/test/logs/stdio

test_with_statement (test.test_ftplib.TestTLS_FTPClassMixin) ... ok
test_auth_issued_twice (test.test_ftplib.TestTLS_FTPClass) ... ok
test_auth_ssl (test.test_ftplib.TestTLS_FTPClass) ... ok
test_ccc (test.test_ftplib.TestTLS_FTPClass) ... ok
test_check_hostname (test.test_ftplib.TestTLS_FTPClass) ... ok
test_context (test.test_ftplib.TestTLS_FTPClass) ... ok
test_control_connection (test.test_ftplib.TestTLS_FTPClass) ... ok
test_data_connection (test.test_ftplib.TestTLS_FTPClass) ... ok
test_login (test.test_ftplib.TestTLS_FTPClass) ... Exception in thread Thread-88:
Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/test/test_ftplib.py", line 388, in recv
    return super(SSLConnection, self).recv(buffer_size)
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/asyncore.py", line 374, in recv
    data = self.socket.recv(buffer_size)
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/ssl.py", line 987, in recv
    return self.read(buflen)
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/ssl.py", line 865, in read
    return self._sslobj.read(len, buffer)
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/ssl.py", line 627, in read
    v = self._sslobj.read(len)
ssl.SSLEOFError: EOF occurred in violation of protocol (_ssl.c:2136)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/asynchat.py", line 117, in handle_read
    data = self.recv(self.ac_in_buffer_size)
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/test/test_ftplib.py", line 394, in recv
    self.handle_close()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/asynchat.py", line 190, in handle_close
    self.close()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/test/test_ftplib.py", line 404, in close
    self._do_ssl_shutdown()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/test/test_ftplib.py", line 356, in _do_ssl_shutdown
    super(SSLConnection, self).close()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/asyncore.py", line 397, in close
    self.socket.close()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/socket.py", line 417, in close
    self._real_close()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/ssl.py", line 1052, in _real_close
    socket._real_close(self)
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/socket.py", line 411, in _real_close
    _ss.close(self)
ConnectionResetError: [Errno 54] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/asyncore.py", line 83, in read
    obj.handle_read_event()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/test/test_ftplib.py", line 366, in handle_read_event
    super(SSLConnection, self).handle_read_event()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/asyncore.py", line 423, in handle_read_event
    self.handle_read()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/asynchat.py", line 121, in handle_read
    self.handle_error()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/test/test_ftplib.py", line 399, in handle_error
    raise Exception
Exception

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/threading.py", line 917, in _bootstrap_inner
    self.run()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/test/test_ftplib.py", line 279, in run
    asyncore.loop(timeout=0.1, count=1)
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/asyncore.py", line 207, in loop
    poll_fun(timeout, map)
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/asyncore.py", line 150, in poll
    read(obj)
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/asyncore.py", line 87, in read
    obj.handle_error()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd10/build/Lib/test/test_ftplib.py", line 399, in handle_error
    raise Exception
Exception

ok
test__all__ (test.test_ftplib.MiscTestCase) ... ok

----------------------------------------------------------------------
Ran 89 tests in 11.986s

OK
Warning -- threading_cleanup() failed to cleanup 0 threads after 2 sec (count: 0, dangling: 2)
Warning -- asyncore.socket_map was modified by test_ftplib
  Before: {}
  After:  {4: <test.test_ftplib.DummyTLS_FTPServer 127.0.0.1:0 at 0x805feccf0>}
msg297423 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-30 15:37
New changeset 73528640ffd872141e126d2c4a103126055ec9ce by Victor Stinner in branch 'master':
bpo-30818: test_ftplib calls asyncore.close_all() (#2514)
https://github.com/python/cpython/commit/73528640ffd872141e126d2c4a103126055ec9ce
msg297590 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-03 14:07
Ok, let's say that it's now fixed ;-)
History
Date User Action Args
2017-07-03 14:07:10vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg297590

stage: resolved
2017-06-30 15:37:00vstinnersetmessages: + msg297423
2017-06-30 15:20:26vstinnersetpull_requests: + pull_request2584
2017-06-30 15:04:34vstinnercreate